net.minecraft.client.renderer

## Class EntityRenderer

- java.lang.Object
- - net.minecraft.client.renderer.EntityRenderer

- All Implemented Interfaces:
    IResourceManagerReloadListener

      public class EntityRenderer
      extends java.lang.Object
      implements IResourceManagerReloadListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `anaglyphEnable`
    `static int` | `anaglyphField`
    `int` | `debugViewDirection`
    `ItemRenderer` | `itemRenderer`
    `static int` | `shaderCount`
    `ShaderGroup` | `theShaderGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityRenderer(Minecraft p_i45076_1_, IResourceManager p_i45076_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateNextShader()`
    `void` | `deactivateShader()`
    `void` | `disableLightmap(double par1)`
    `void` | `enableLightmap(double par1)`
    `MapItemRenderer` | `getMapItemRenderer()`
    `void` | `getMouseOver(float par1)`
    `ShaderGroup` | `getShaderGroup()`
    `boolean` | `isShaderActive()`
    `void` | `onResourceManagerReload(IResourceManager par1ResourceManager)`
    `protected void` | `renderRainSnow(float par1)`
    `void` | `renderWorld(float par1, long par2)`
    `void` | `setupOverlayRendering()`
    `void` | `updateCameraAndRender(float par1)`
    `void` | `updateRenderer()`
    `void` | `updateShaderGroupSize(int p_147704_1_, int p_147704_2_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### anaglyphEnable

          public static boolean anaglyphEnable

    - #### anaglyphField

          public static int anaglyphField

    - #### itemRenderer

          public final ItemRenderer itemRenderer

    - #### theShaderGroup

          public ShaderGroup theShaderGroup

    - #### shaderCount

          public static final int shaderCount

    - #### debugViewDirection

          public int debugViewDirection

  - ### Constructor Detail

    - #### EntityRenderer

          public EntityRenderer(Minecraft p_i45076_1_,
                        IResourceManager p_i45076_2_)

  - ### Method Detail

    - #### isShaderActive

          public boolean isShaderActive()

    - #### deactivateShader

          public void deactivateShader()

    - #### activateNextShader

          public void activateNextShader()

    - #### onResourceManagerReload

          public void onResourceManagerReload(IResourceManager par1ResourceManager)

      Specified by:
        `onResourceManagerReload` in interface `IResourceManagerReloadListener`

    - #### updateRenderer

          public void updateRenderer()

    - #### getShaderGroup

          public ShaderGroup getShaderGroup()

    - #### updateShaderGroupSize

          public void updateShaderGroupSize(int p_147704_1_,
                                   int p_147704_2_)

    - #### getMouseOver

          public void getMouseOver(float par1)

    - #### disableLightmap

          public void disableLightmap(double par1)

    - #### enableLightmap

          public void enableLightmap(double par1)

    - #### updateCameraAndRender

          public void updateCameraAndRender(float par1)

    - #### renderWorld

          public void renderWorld(float par1,
                         long par2)

    - #### renderRainSnow

          protected void renderRainSnow(float par1)

    - #### setupOverlayRendering

          public void setupOverlayRendering()

    - #### getMapItemRenderer

          public MapItemRenderer getMapItemRenderer()